## 算法与数据结构

* [《Data structures》](https://courses.csail.mit.edu/6.851/spring12/scribe/2012scribes.pdf)

介绍：高级数据结构大全,[基本算法：二叉树等](http://algorithms.openmymind.net/)

* [《基于用户投票的排名算法（一）：Delicious和Hacker News》](http://www.ruanyifeng.com/blog/2012/02/ranking_algorithm_hacker_news.html)

介绍：此外还有[《基于用户投票的排名算法（二）：Reddit》](http://www.ruanyifeng.com/blog/2012/03/ranking_algorithm_reddit.html)、[《基于用户投票的排名算法（三）：Stack Overflow》](http://www.ruanyifeng.com/blog/2012/03/ranking_algorithm_stack_overflow.html)、[《基于用户投票的排名算法（四）：牛顿冷却定律》](http://www.ruanyifeng.com/blog/2012/03/ranking_algorithm_newton_s_law_of_cooling.html)、[《基于用户投票的排名算法（五）：威尔逊区间》](http://www.ruanyifeng.com/blog/2012/03/ranking_algorithm_wilson_score_interval.html)

* [《Paxos算法》](http://zh.wikipedia.org/wiki/Paxos%E7%AE%97%E6%B3%95)

介绍：这是目前的一种基于消息传递且具有高度容错特性的一致性算法，google在分布式文件系统中与分布式锁中就应用到了这个算法，MapReduce，bigTable等等，中国的[alibaba集团的中间件](http://jm-blog.aliapp.com/?tag=paxos)也使用此算法．他们把这个算法的[英文版](http://research.microsoft.com/en-us/um/people/lamport/pubs/lamport-paxos.pdf)翻译成了[中文版](http://wenku.baidu.com/view/87276e1dfad6195f312ba6d7.html)．有关它的更多描叙可以参考耶鲁大学的[专题页面](http://www.cs.yale.edu/homes/aspnes/pinewiki/Paxos.html)

* [《How to: What are the lesser known but useful data structures?》](http://sevennet.org/2014/11/21/how-to-what-are-the-lesser-known-but-useful-data-structures/)

介绍：很少人知道但很有用的数据结构

* [《Open Data Structures》](http://opendatastructures.org/)

介绍：《开放数据结构》，里面有C++.java相关实现的书籍

* [《Data Structure and Algorithms for Information Processing》](http://www.andrew.cmu.edu/user/mm6/95-771/schedule.html)

介绍：卡内基梅隆大学的信息处理的数据结构与算法课程课件

* [《CVonline: Applications》](http://homepages.inf.ed.ac.uk/rbf/CVonline/applic.htm)

介绍：图像和视觉算法的应用领域概括，共包含了29个大类，从中可以看到图像视觉算法应用之广泛。例如人就分生物认证、身体、头、脸、脚、手等不同的领域。

* [《Sampling, or a faster LZ4》](http://fastcompression.blogspot.fr/2015/04/sampling-or-faster-lz4.html)

介绍：高速数据压缩算法[LZ4](https://github.com/Cyan4973/lz4).

* [《Fundraising Roadmap Algorithm》](http://codingvc.com/fundraising-roadmap-algorithm/)

介绍：融资路线图算法.

* [《Weak Learning, Boosting, and the AdaBoost algorithm》](http://jeremykun.com/2015/05/18/boosting-census/)

介绍：弱学习/Boosting/AdaBoost算法.

* [《The easy way to implement a Red-Black tree》](http://www.garrisonjensen.com/programming/2015/05/15/easy-red-black-tree.html)

介绍：红黑树最容易的实现方式.

* [《Algorithmic Game Theory》](http://www.cambridge.org/journals/nisan/downloads/Nisan_Non-printable.pdf)

介绍:这是一本关于博弈论算法的电子书,[博弈论介绍](https://www.wikiwand.com/zh/%E5%8D%9A%E5%BC%88%E8%AE%BA)

* [《Algorithms for Hyper-Parameter Optimization》](http://papers.nips.cc/paper/4443-algorithms-for-hyper-parameter-optimization.pdf)

介绍：参数优化算法.

* [《A guide to Algorithmic Complexity》](http://algosaur.us/)

介绍:Introduce Algorithmic Complexity with images.

* [《The real 10 algorithms that dominate our world》](https://medium.com/@_marcos_otero/the-real-10-algorithms-that-dominate-our-world-e95fa9f16c04)

介绍:真正统治世界的十大算法,[译版](http://blog.jobbole.com/70639/).

* [《What is the importance of this algorithm?》](http://www.quora.com/What-is-the-importance-of-this-algorithm)

介绍:Quora上的一篇关于有哪些重要的算法提问.

* [《Clever Algorithms: Nature-Inspired Programming Recipes》](http://www.cleveralgorithms.com/nature-inspired/index.html)

介绍:智能算法手册(7类/45个之智能相关算法及示例).

* [《Data Structure Visualizations》](http://www.cs.usfca.edu/~galles/visualization/Algorithms.html)

介绍:数据结构可视化图形.

* [《Paxos algorithm》](https://www.quora.com/Distributed-Systems/What-is-a-simple-explanation-of-the-Paxos-algorithm)

介绍:如果简单的解释Paxos算法,此外推荐论文[Paxos Made Simple](https://pdos.csail.mit.edu/6.824/papers/paxos-simple.pdf),[Consensus Protocols: Paxos](http://the-paper-trail.org/blog/consensus-protocols-paxos/),[Consensus Protocols: Two-Phase Commit](http://the-paper-trail.org/blog/consensus-protocols-two-phase-commit/),[Consensus Protocols: Three-phase Commit](http://the-paper-trail.org/blog/consensus-protocols-three-phase-commit/)

* [《Introduction to Algorithms》](http://courses.csail.mit.edu/6.006/fall11/staff.shtml)

介绍:Introduction to Algorithms.

* [《An Open Source Reference Architecture For Real-Time Stock Prediction》](https://blog.pivotal.io/big-data-pivotal/case-studies/an-open-source-reference-architecture-for-real-time-stock-prediction)

介绍:实时股票分析系统的架构与算法[译文](http://www.infoq.com/cn/news/2015/12/open-source-reference-architectu).

* [《Overview of Recommender Algorithms part1》](https://buildingrecommenders.wordpress.com/2015/11/16/overview-of-recommender-algorithms-part-1/)

介绍：推荐算法概览[part2](https://buildingrecommenders.wordpress.com/2015/11/18/overview-of-recommender-algorithms-part-2/),[part3](https://buildingrecommenders.wordpress.com/2015/11/19/overview-of-recommender-algorithms-part-3/),[part4](https://buildingrecommenders.wordpress.com/2015/11/20/overview-of-recommender-algorithms-part-4/),[part5](https://buildingrecommenders.wordpress.com/2015/11/23/overview-of-recommender-algorithms-part-5/),部分译文[part1](http://www.infoq.com/cn/articles/recommendation-algorithm-overview-part01),[part2](http://www.infoq.com/cn/articles/recommendation-algorithm-overview-part02),同时推荐[Recommender Systems in Netflix](https://buildingrecommenders.wordpress.com/2015/11/18/recommender-systems-in-netflix/)

* [《The Use of Machine Learning Algorithms in Recommender Systems: A Systematic Review》](http://arxiv.org/abs/1511.05263)

介绍:推荐系统机器学习算法系统综述.

* [《Top 10 data mining algorithms in plain English》](http://rayli.net/blog/data/top-10-data-mining-algorithms-in-plain-english/)

介绍:白话数据挖掘十大算法

* [《Designing and Implementing a Ranking Algorithm》](https://jkchu.com/2016/02/17/designing-and-implementing-a-ranking-algorithm/)

介绍:排名算法的设计与实现

* [《Quantum algorithms: an overview》](http://www.nature.com/articles/npjqi201523?WT.mc_id=FBK_NPG_1602_npjQI)

介绍:量子算法概述

* [《Robert Sedgewick HomePage》](https://www.cs.princeton.edu/~rs/)

介绍:罗伯特·塞奇威克的主页，是算法一书的作者，目前这本书已经到了第四版[ Algorithms, 4th Edition](http://algs4.cs.princeton.edu/home/),电子版是免费的，而且还有相对于的源码和课程资料,他的[Analytic Combinatorics](http://ac.cs.princeton.edu/home/)解析组合数学也很有名

* [《Communicating sequential processes》](http://spinroot.com/courses/summer/Papers/hoare_1978.pdf)

介绍:通信顺序进程是并发编程的经典论文,Go的模型（还有Erlang等）都是基于CPS.此外推荐[Communicating Parallel Processes](http://www.cs.cmu.edu/~brookes/papers/hoare.pdf)

* [《Niklaus Wirth Homepage》](https://www.inf.ethz.ch/personal/wirth/)

介绍:尼克劳斯·维尔特主页，图灵奖获得者。Algol W， Modula， Pascal ，Modula-2， Oberon之父。他的论文[Programming in Oberon: Steps beyond Pascal and Modula.](https://www.inf.ethz.ch/personal/wirth/ProgInOberon.pdf)被视为软件工程的经典之作

* [《Donald E. Knuth HomePage》](http://www-cs-faculty.stanford.edu/~uno/)

介绍:唐纳德·尔文·克努斯是图灵奖获得者.其经典著作《计算机程序设计艺术》更是被誉为算法中“真正”的圣经，像KMP和LR(K)这样令人不可思议的算法，在此书比比皆是。难怪连Bill Gates都说：“如果能做对书里所有的习题，就直接来微软上班吧！”

* [《Jon Bentley HomePage》](http://c2.com/cgi/wiki?JonBentley)

介绍:著有编程珠玑[Programming Pearls, Second Edition](https://tfetimes.com/wp-content/uploads/2015/04/ProgrammingPearls2nd.pdf)

* [《Edsger Wybe Dijkstra HomePage》](http://www.cs.utexas.edu/~EWD/)

介绍:艾兹赫尔·韦伯·戴克斯特拉是荷兰第一位以程式为专业的科学家,以发现了图论中的最短路径算法（[Dijkstra算法](https://www.ssucet.org/old/pluginfile.php/2121/mod_resource/content/1/21-dijkstra.pdf)）而闻名于世，1972年因为ALGOL第二代编程语言而获得图灵奖。GOTO有害论“[Go To StatementConsidered Harmful](http://homepages.cwi.nl/~storm/teaching/reader/Dijkstra68.pdf)”(EWD215)也是被广为传颂的经典之作.推荐[Using Dijkstra's algorithm to draw maps](https://github.com/ibaaj/dijkstra-cartography). 如果是学习，可能论文会比较难。推荐阅读[理解Dijkstra算法](https://aos.github.io/2018/02/24/understanding-dijkstras-algorithm/)

* [《John Backus HomePage》](http://www.columbia.edu/cu/computinghistory/backus.html)

介绍:FORTRAN之父,提出了规范描述编程语言语法的BNF。这位当年的“差生”终于被整个计算机世界肯定——美国计算机协会于1977年授予John Backus图灵奖

* [《James Cooley HomePage》](http://ethw.org/James_W._Cooley)

介绍:美国数学家，哥伦比亚大学的数学博士，以他所创造的快速傅立叶变换(FFT)而著名

* [《6.851: Advanced Data Structures》](https://courses.csail.mit.edu/6.851/)

介绍：麻省理工数据结构课程

* [《CS106B: Programming Abstractions in C++》](http://web.stanford.edu/class/archive/cs/cs106b/cs106b.1126/)

介绍：斯坦福大学C++课程,推荐 ppt[Advanced Data Structures](http://web.stanford.edu/class/archive/cs/cs106b/cs106b.1126/lectures/21/Slides21.pdf)

* [《A Visual Introduction to Algorithms》](https://www.educative.io/collection/10370001/760001)

介绍：算法的可视化入门教程。通过组合的文章，可视化，测验，和编码的挑战来学习介绍计算机科学的算法，包括搜索，分类，递归，和图形理论。并用Python，C++或JavaScript来挑战实现

* [《Algorithm Visualizer》](https://github.com/parkjs814/AlgorithmVisualizer)

介绍：算法可视化工具

* [《How to Write Your Own Recommendation System》](http://elliot.land/how-to-write-your-own-recommendation-system-part-1)

介绍：自己动手如何写一个推荐系统

* [《All algorithms implemented in Python (for education)》](https://github.com/TheAlgorithms/Python)

介绍：常用算法实现python版

* [《A collection of links for streaming algorithms and data structures》](https://gist.github.com/debasishg/8172796)

介绍：流算法&数据结构资源列表

* [《Algorithms introduce》](https://www.khanacademy.org/computing/computer-science/algorithms)

介绍：由算法导论作者Thomas Cormen的专栏

* [《Datastructures for external memory》](http://blog.omega-prime.co.uk/?p=197)

介绍：高级数据结构：外存储算法。很详细

* [《An overview of gradient descent optimization algorithms》](http://sebastianruder.com/optimizing-gradient-descent/)

介绍：梯度下降优化算法的好材料，不仅讲解了Adagrad、Adadelta、RMSprop、Adam等基本算法，还有并行和分布式SGD，Shuffling and Curriculum Learning、Batch normalization、Early Stopping、Gradient noise等。

* [《[ebook]Foundations of Data Science》](https://www.cs.cornell.edu/jeh/book2016June9.pdf)

介绍：《数据科学基础》作者：ACM Fellow Avrim Blum, 图灵奖得主John Hopcroft，以及微软首席科学家Ravindran Kannan

* [《MIT:6.851: Advanced Data Structures》](http://courses.csail.mit.edu/6.851/)

介绍：麻省理工学院研究生课程 6.851《高级数据结构》。Erik Demaine教授主讲。

* [《Jeff Erickson's Algorithms, Etc. Web + 1,250 pages in one PDF file》](http://jeffe.cs.illinois.edu/teaching/algorithms/)

介绍：伊利诺伊大学厄巴纳-香槟分校计算机科学系的教授及前副主任Jeff Erickson 有关算法的资料

* [《350+ Data structures programming interview questions》](https://techiedelight.quora.com/350%2B-Data-structures-programming-interview-questions)

介绍： 350+ 数据结构编程面试问题。

* [《Illustrated Algorithms》](https://github.com/skidding/illustrated-algorithms)

介绍：算法的可视化，把一个个的算法变成动画

* [《Mathematics for Computer Science》](https://courses.csail.mit.edu/6.042/spring17/mcs.pdf)

介绍：由Google和麻省理工大学合著的《计算机科学的数学》。1000多页PDF

* [《algorithms-primer 》](https://github.com/stacygohyunsi/algorithms-primer)

介绍：算法与数据结构学习资源合集,能帮助你更简单的理解一些重要的数据结构和算法

* [《常见算法实现》](https://github.com/qiwsir/algorithm)

介绍：常见算法实现

* [《International Conference on Algorithmic Learning Theory》](http://proceedings.mlr.press/v76/)

介绍：算法学习理论国际会议

* [《Deep learning Algorithms tutorial》](https://github.com/KeKe-Li/tutorialm)

介绍：常见的机器学习算法

* [《Matters Computational Ideas, Algorithms, Source Code》](https://jjj.de/fxt/fxtbook.pdf)

介绍：计算思想和算法的教科书.

* [《Computational Linear Algebra for Coders》](https://github.com/fastai/numerical-linear-algebra)

介绍：写给程序员的线性代数课程.

* [《100 Suggested Final Project Topics》](http://web.stanford.edu/class/cs166/handouts/100%20Suggested%20Final%20Project%20Topics.pdf)

介绍：斯坦福[CS160:数据结构](http://web.stanford.edu/class/cs166/)结课关于数据结构话题分类。字符串相关、最优MST算法、范围查找、LCA算法、二叉树等。包括简单介绍和为什么需要学习他们

* [《15-853: Algorithms in the "Real World"》](http://www.cs.cmu.edu/afs/cs/project/pscico-guyb/realworld/www/indexS18.html)

介绍：CMU的算法在工业界的应用课程

* [《15-859: Algorithms for Big Data, Fall 2017》](http://www.cs.cmu.edu/~dwoodruf/teaching/15859-fall17/index.html)

介绍：CMU的算法在大数据的应用课程